# Warrant Quotes

`WS` `request · cmd 13`

> **Quote Permission Required · Free**
> Included with OpenAPI activation — no extra purchase needed.
> _OpenAPI quote perms are separate from App/Web perms_

This API is used to obtain the real-time quotes of HK warrants, including the warrant-specific data.

```protobuf
message MultiSecurityRequest {
  repeated string symbol = 1;
}

message WarrantQuoteResponse {
  repeated WarrantQuote secu_quote = 2;
}
```

## Request Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string[] | Yes | Security code list, in ticker.region format, for example: [13447.HK]. Max 500 symbols per request |

## Response Fields

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `secu_quote` | object[] | No | Warrants quote |
| `└ symbol` | string | No | Security code |
| `└ last_done` | string | No | Latest price |
| `└ prev_close` | string | No | Yesterday's close |
| `└ open` | string | No | Open |
| `└ high` | string | No | High |
| `└ low` | string | No | Low |
| `└ timestamp` | int64 | No | Time of latest price |
| `└ volume` | int64 | No | Volume |
| `└ turnover` | string | No | Turnover |
| `└ trade_status` | int32 | No | Security trading status, see TradeStatus |
| `└ warrant_extend` | object | No | Warrant extend quote |
| ` └ implied_volatility` | string | No | Implied volatility |
| ` └ expiry_date` | string | No | Expiry date, in YYMMDD format |
| ` └ last_trade_date` | string | No | Last tradable date, in YYMMDD format |
| ` └ outstanding_ratio` | string | No | Outstanding ratio |
| ` └ outstanding_qty` | int64 | No | Outstanding quantity |
| ` └ conversion_ratio` | string | No | Conversion ratio |
| ` └ category` | string | No | Warrant type: Call, Put, Bull, Bear, Inline |
| ` └ strike_price` | string | No | Strike price |
| ` └ upper_strike_price` | string | No | Upper bound price |
| ` └ lower_strike_price` | string | No | Lower bound price |
| ` └ call_price` | string | No | Call price |
| ` └ underlying_symbol` | string | No | Underlying security symbol of the option |

## Response JSON Example

```json
{
  "secu_quote": [
    {
      "symbol": "66642.HK",
      "last_done": "0.345",
      "prev_close": "0.365",
      "timestamp": 1651130421,
      "volume": 200000,
      "turnover": "69000.000",
      "warrant_extend": {
        "implied_volatility": "0.319",
        "expiry_date": "20220830",
        "category": "Bear",
        "strike_price": "23200.000",
        "underlying_symbol": "HSI.HK"
      }
    }
  ]
}
```
